> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List Of Intents Linked To Assistant Id

> Retrieve intents linked to the assistant



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/assistant/{assistant_id}/intents
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/assistant/{assistant_id}/intents:
    get:
      tags:
        - Assistant
      summary: Get List Of Intents Linked To Assistant Id
      description: Retrieve intents linked to the assistant
      operationId: >-
        get_list_of_intents_linked_to_assistant_id_api_v1_assistant__assistant_id__intents_get
      parameters:
        - name: assistant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Assistant Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponsePaginated_IIntentRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponsePaginated_IIntentRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: ''
        meta:
          additionalProperties: true
          type: object
          title: Meta
          default: {}
        data:
          $ref: '#/components/schemas/PageBase_IIntentRead_'
      type: object
      required:
        - data
      title: IGetResponsePaginated[IIntentRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PageBase_IIntentRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/IIntentRead'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Total
        page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Page
        size:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Size
        pages:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Pages
        previous_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Previous Page
          description: Page number of the previous page
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
          description: Page number of the next page
      type: object
      required:
        - items
        - total
        - page
        - size
      title: PageBase[IIntentRead]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IIntentRead:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
          default: true
        id:
          type: string
          format: uuid
          title: Id
        intent_type:
          type: string
          title: Intent Type
      type: object
      required:
        - id
        - intent_type
      title: IIntentRead
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````